Core - Task # 38134

Task # 38086 (Closed): Enhance TYPOS3 bootstrap mechanism

Status: Resolved Priority: Should have
Author: Christian Kuhn Category:

Created: 2012-06-17 Assigned To:

Updated: 2012-06-17 Due date:

TYPOS3 Version: 6.0

PHP Version: 53

Complexity: medium

Sprint Focus:

Subject: Restructure bootstrap classes

Description

The scope separation in Bootstrap classes still needs more thoughts and concepts. For now, the construct is simplified to a simple
main class with most code in it and independent static helper classes to encapsulate scope specific code.

Associated revisions

Revision 919230b5 - 2012-06-17 15:27 - Christian Kuhn

[TASK] Restructure bootstrap classes

The scope separation in Bootstrap classes still needs more thoughts
and concepts. For now, the construct is simplified to a simple main
class with most code in it and independent static helper classes

to encapsulate scope specific code.

Change-Id: 13f70ececb876fef8bfce76646f84a86cda439a74
Resolves: #38134

Releases: 6.0

Reviewed-on: http://review.typo3.org/12144

Reviewed-by: HelImut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision b86a378a - 2012-06-23 23:42 - Christian Kuhn

[TASK] Restructure bootstrap classes

The scope separation in Bootstrap classes still needs more thoughts
and concepts. For now, the construct is simplified to a simple main
class with most code in it and independent static helper classes

to encapsulate scope specific code.

Change-Id: 13f70ececb876fef8bfce76646f84a86cda439a74
Resolves: #38134

Releases: 6.0

Reviewed-on: http://review.typo3.org/12144

Reviewed-by: HelImut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2012-06-17 13:53 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12144

#2 - 2012-06-17 14:00 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/12144

#3 - 2012-06-17 15:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:919230b5d1c40ce932db52824de1cc779bc21c90.
